picocli

## Interface CommandLine.IVersionProvider

Enclosing class:
  CommandLine

    public static interface CommandLine.IVersionProvider

Provides version information for a command. Commands may configure a provider with the `CommandLine.Command.versionProvider()` annotation attribute.

### Method Summary

Methods
`java.lang.String[]` `getVersion()` Returns version information for a command.

### Method Detail

#### getVersion

    java.lang.String[] getVersion()
                                  throws java.lang.Exception

Returns version information for a command.

Returns:
  version information (each string in the array is displayed on a separate line)
Throws:
  `java.lang.Exception` - an exception detailing what went wrong when obtaining version information